SKB_COPY_AND_CSUM_DA(9)

NAME
skb_copy_and_csum_datagram_msg - Copy and checksum skb to user iovec.

SYNOPSIS

int skb_copy_and_csum_datagram_msg(struct sk_buff * skb, int hlen, struct msghdr * msg);

ARGUMENTS

skb
    skbuff

hlen
    hardware length

msg
    destination

DESCRIPTION

Caller _must_ check that skb will fit to this iovec.

RETURNS

0 - success. -EINVAL - checksum failure. -EFAULT - fault during copy.

COPYRIGHT